@import url("base.css");

.content {
	height: fit-content;
	width: 100%;
	display: flex;
	flex-direction: column;
	border-radius: 0 0 12.136vw 12.136vw;
	background-color: var(--globe-color);
}

.scene {
	position: relative;
	height: 50.164vh;
	width: 100%;
	background-image: url("/assets/festival-scene.png");
	background-position: 0;
	background-size: cover;
	overflow: hidden;
	background-repeat: no-repeat;
	border-radius: 0 0 12.136vw 12.136vw;
}

.marker {
	position: absolute;
	bottom: 2.617vh;
	right: 5.825vw;
	display: flex;
	flex-direction: row;
	gap: 1.942vw;
}

.marker img {
	width: 3.398vw;
	height: auto;
	padding: 0.218vh 1.214vw;
}

.marker span {
	font-family: "Muller";
	color: var(--primary-inv);
	font-size: var(--h4);
	text-transform: uppercase;
	transform: translateY(0.2rem);
}

.title {
	padding: 0.612vh 0.612vh 0.612vh 0;
	background-color: var(--accent);
	border-radius: 0 22.442vw 22.442vw 0;
	position: absolute;
	top: 14.068vh;
	left: 0;
}

.title span {
	color: var(--primary-inv);
	font-size: var(--h2);
	border-radius: 0 22.442vw 22.442vw 0;
	border-color: var(--globe-color);
	border-width: 0.223vw;
	border-style: solid;
	border-left: none;
	padding: 0 9.709vw 0 4.854vw;
	box-sizing: border-box;
	height: fit-content;
	width: fit-content;
	line-height: 120%;
	font-family: "TT Tsars B";
	text-transform: uppercase;
}

.info {
	flex-direction: column;
	width: calc(100% - 7.767vw * 2);
	align-items: center;
	gap: 4.362vh;
	padding: 5.234vh 7.767vw 6.979vh 7.767vw;
}

.event {
	flex-direction: column;
	gap: 1.091vh;
}

.event div:first-child {
	flex-direction: column;
	display: flex;
	width: fit-content;
	font-size: var(--h2);
}

.event h2 {
	height: fit-content;
	font-family: "TT Tsars B";
	text-wrap: nowrap;
	word-wrap: nowrap;
}

.text {
	width: 100%;
	height: fit-content;
	font-family: "Muller";
	font-size: var(--text);
	color: var(--secondary-color);
	gap: 1.5rem;
	display: flex;
	flex-direction: column;
}

.slider {
	width: 100%;
	height: 100%;
}

#images {
	height: fit-content;
	display: flex;
	flex-direction: row;
	gap: 7.767vw;
	width: 100%;
	overflow-y: hidden;
	-ms-overflow-style: none;
	left: 0;
	top: 0;
	scrollbar-width: none;
}

#images::-webkit-scrollbar {
	width: 0;
	-webkit-appearance: none;
	height: 0;
	display: none;
}

#images img {
	width: calc(100vw - 7.767vw * 2);
	height: auto;
	border-radius: 7.282vw;
	aspect-ratio: 3/2;
}

.slider-info {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: calc(100% - 5.34vw * 2);
	gap: 1.745vh;
	height: fit-content;
	margin: 3.49vh 5.34vw 0 5.34vw;
}

.progress-container {
	height: 0.436vh;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.3);
	border-radius: 2px;
	position: relative;
	overflow: hidden;
}

#progress {
	position: absolute;
	top: 0;
	left: 0;
	background-color: var(--secondary-color);
	height: 100%;
	width: 29.126vw;
}

.slider-info img {
	width: 9.709vw;
	height: auto;
}

.group {
	font-size: var(--text);
	font-family: "Muller";
	font-weight: bold;
	color: var(--primary-inv);
	width: 100%;
	text-transform: uppercase;
	background-color: var(--accent);
	border-radius: 6.068vw;
	padding: 1.309vh 0 1.309vh 0;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
}

.group:hover {
	background-color: #2e7066;
	color: var(--secondary-inv);
}

@media screen and (orientation: landscape) {
	.content {
		border-radius: 0 0 3.906vw 3.906vw;
	}

	.scene {
		height: 91.133vh;
		border-radius: 0 0 3.906vw 3.906vw;
		justify-content: center;
		align-items: end;
	}

	.marker {
		bottom: 3.486vh;
		right: 7.524vw;
		gap: 0.625vw;
	}

	.marker img {
		width: 2.404vh;
		padding: 0.24vh 0.391vw;
	}

	.marker span {
		font-size: var(--h3);
	}

	.title {
		border-radius: 0 14.866vw 14.866vw 0;
		top: 14.904vh;
		padding: 1.563vh 1.563vh 1.563vh 0;
	}

	.title span {
		font-size: var(--h1);
		padding: 2.885vh 4.688vw 2.885vh 2.344vw;
	}

	.info {
		gap: 7.692vh;
		padding: 9.615vh 2.656vw 20.192vh 2.656vw;
		width: calc(100% - 2.656vw * 2);
	}

	.event > div:first-child {
		flex-direction: row;
		gap: 0.938vw;
		text-wrap: nowrap;
		word-wrap: nowrap;
	}

	.text {
		width: 62.5vw;
		font-size: 2.163vh;
		gap: 2.885vh;
	}

	#images {
		gap: 2.5vw;
		overflow-x: scroll;
	}

	#images img {
		border-radius: 2.344vw;
		width: auto;
		height: 42.788vh;
		aspect-ratio: 3/2;
	}

	.slider-info {
		display: none;
	}

	.group {
		width: fit-content;
		border-radius: 6.068vw;
		border-style: none;
		background-color: var(--accent);
		padding: 1.309vh 3.594vw;
		font-family: "Muller";
		font-weight: normal;
		font-size: var(--text);
		color: var(--primary-inv);
	}
}
